is_double
is_int
Variable handling Functions
PHP Manual

# is_float

(PHP 4, PHP 5)

is_float — Finds whether the type of a variable is float

### Description

bool is_float ( mixed `$var` )

Finds whether the type of the given variable is float.

> Note: To test if a variable is a number or a numeric string (such as form input, which is always a string), you must use is_numeric().

### Parameters

`var`

  The variable being evaluated.

### Return Values

Returns `TRUE` if `var` is a float, `FALSE` otherwise.

### Examples

Example #1 is_float() example

`<?php
if(is_float(27.25)) {
echo "is float\n";
}else {
echo "is not float\n";
}
var_dump(is_float('abc'));
var_dump(is_float(23));
var_dump(is_float(23.5));
var_dump(is_float(1e7)); //Scientific Notation
var_dump(is_float(true));
?>`

The above example will output:

    is float
    bool(false)
    bool(false)
    bool(true)
    bool(true)
    bool(false)

### See Also

- is_bool()
- is_int()
- is_numeric()
- is_string()
- is_array()
- is_object()

is_double
is_int
Variable handling Functions
PHP Manual